Schema "fpml-dividend-swaps-5-3.xsd"
Target Namespace:

  http://www.fpml.org/FpML-5/reporting

Version:

  $Revision: 8563 $

Defined Components:

  1 global element, 11 local elements, 5 complexTypes

Default Namespace-Qualified Form:

  Local Elements: qualified; Local Attributes: unqualified

Schema Location:

  C:\Irina-Local\SVN-FpML\trunk\xml\reporting\fpml-dividend-swaps-5-3.xsd; see XML source

Includes Schemas (2):

  fpml-eq-shared-5-3.xsd [src], fpml-shared-5-3.xsd [src]

Included in Schema:

  fpml-main-5-3.xsd [src]

All Element Summary
dividendLeg | Dividend leg.
Type: | DividendLeg
Content: | complex, 1 attribute, 18 elements
Defined: | locally witnin DividendSwapTransactionSupplement complexType; see XML source
dividendPeriod (in dividendLeg) | One to many time bounded dividend payment periods, each with a fixed strike and dividend payment date per period.
Type: | DividendPeriodPayment
Content: | complex, 1 attribute, 7 elements
Defined: | locally witnin DividendLeg complexType; see XML source
dividendSwapTransactionSupplement | Specifies the structure of the dividend swap transaction supplement.
Type: | DividendSwapTransactionSupplement
Content: | complex, 1 attribute, 9 elements
Subst.Gr: | may substitute for element product
Defined: | globally; see XML source
Used: | never
fixedLeg (in dividendSwapTransactionSupplement) | Fixed payment leg.
Type: | FixedPaymentLeg
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin DividendSwapTransactionSupplement complexType; see XML source
fixedPayment | Fixed payment of a dividend swap, payment date is relative to a dividend period payment date.
Type: | FixedPaymentAmount
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FixedPaymentLeg complexType; see XML source
fixedStrike | Fixed strike.
Type: | PositiveDecimal
Content: | simple
Defined: | locally witnin DividendPeriodPayment complexType; see XML source
materialDividend | If present and true, then material non cash dividends are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DividendLeg complexType; see XML source
paymentAmount (in fixedPayment) | Payment amount, which is optional since the payment amount may be calculated using fixed strike and number of open units.
Type: | NonNegativeMoney
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin FixedPaymentAmount complexType; see XML source
paymentDate (in dividendPeriod in dividendLeg) | Dividend period amount payment date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DividendPeriodPayment complexType; see XML source
paymentDate (in fixedPayment) | Payment date relative to another date.
Type: | RelativeDateOffset
Content: | complex, 1 attribute, 8 elements
Defined: | locally witnin FixedPaymentAmount complexType; see XML source
specialDividends (in dividendLeg) | If present and true, then special dividends and memorial dividends are applicable.
Type: | xsd:boolean
Content: | simple
Defined: | locally witnin DividendLeg complexType; see XML source
valuationDate (in dividendPeriod in dividendLeg) | Dividend period amount valuation date.
Type: | AdjustableOrRelativeDate
Content: | complex, 1 attribute, 2 elements
Defined: | locally witnin DividendPeriodPayment complexType; see XML source

Complex Type Summary
DividendLeg | Floating Payment Leg of a Dividend Swap.
Content: | complex, 1 attribute, 18 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DividendPeriodPayment | A time bounded dividend period, with fixed strike and a dividend payment date per period.
Content: | complex, 1 attribute, 7 elements
Defined: | globally; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location
DividendSwapTransactionSupplement | A Dividend Swap Transaction Supplement.
Content: | complex, 1 attribute, 9 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FixedPaymentAmount | Fixed payment amount within a Dividend Swap.
Content: | complex, 1 attribute, 2 elements
Defined: | globally; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location
FixedPaymentLeg | Fixed Payment Leg of a Dividend Swap.
Content: | complex, 1 attribute, 8 elements
Defined: | globally; see XML source
Includes: | definition of 1 element
Used: | at 1 location

XML Source

<?xml version="1.0" encoding="utf-8"?> <!-- == Copyright (c) 2002-2011 All rights reserved. == Financial Products Markup Language is subject to the FpML public license. == A copy of this license is available at http://www.fpml.org/license/license.html --> <xsd:schema attributeFormDefault="unqualified" ecore:documentRoot="FpML" ecore:nsPrefix="rpt" ecore:package="org.fpml.reporting" elementFormDefault="qualified" targetNamespace="http://www.fpml.org/FpML-5/reporting" version="$Revision: 8563 $" xmlns="http://www.fpml.org/FpML-5/reporting" xmlns:ecore="http://www.eclipse.org/emf/2002/Ecore" xmlns:fpml-annotation="http://www.fpml.org/annotation" xmlns:view="http://www.fpml.org/views" xmlns:xsd="http://www.w3.org/2001/XMLSchema"> <xsd:include schemaLocation="fpml-eq-shared-5-3.xsd"/> <xsd:include schemaLocation="fpml-shared-5-3.xsd"/> <xsd:complexType name="DividendLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Floating Payment Leg of a Dividend Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLegUnderlyer"> <xsd:sequence> <xsd:group ref="DeclaredCashAndCashEquivalentDividendPercentage.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="dividendPeriod" type="DividendPeriodPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> One to many time bounded dividend payment periods, each with a fixed strike and dividend payment date per period. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="specialDividends" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> If present and true, then special dividends and memorial dividends are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="materialDividend" type="xsd:boolean"> <xsd:annotation> <xsd:documentation> If present and true, then material non cash dividends are applicable. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DividendPeriodPayment"> <xsd:annotation> <xsd:documentation xml:lang="en"> A time bounded dividend period, with fixed strike and a dividend payment date per period. </xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DividendPeriod"> <xsd:sequence> <xsd:element minOccurs="0" name="fixedStrike" type="PositiveDecimal"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed strike.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Dividend period amount payment date.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="valuationDate" type="AdjustableOrRelativeDate"> <xsd:annotation> <xsd:documentation xml:lang="en">Dividend period amount valuation date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="DividendSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en">A Dividend Swap Transaction Supplement.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element minOccurs="0" name="dividendLeg" type="DividendLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Dividend leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="fixedLeg" type="FixedPaymentLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed payment leg.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:group minOccurs="0" ref="EquityUnderlyerProvisions.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FixedPaymentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed payment amount within a Dividend Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="PaymentBase"> <xsd:sequence> <xsd:element minOccurs="0" name="paymentAmount" type="NonNegativeMoney"> <xsd:annotation> <xsd:documentation xml:lang="en"> Payment amount, which is optional since the payment amount may be calculated using fixed strike and number of open units. </xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element minOccurs="0" name="paymentDate" type="RelativeDateOffset"> <xsd:annotation> <xsd:documentation xml:lang="en">Payment date relative to another date.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:complexType name="FixedPaymentLeg"> <xsd:annotation> <xsd:documentation xml:lang="en">Fixed Payment Leg of a Dividend Swap.</xsd:documentation> </xsd:annotation> <xsd:complexContent> <xsd:extension base="DirectionalLeg"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="fixedPayment" type="FixedPaymentAmount"> <xsd:annotation> <xsd:documentation xml:lang="en"> Fixed payment of a dividend swap, payment date is relative to a dividend period payment date. Commonly the dividend leg and the fixed payment leg will pay out on the same date, and the payments will be netted. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType> <xsd:element name="dividendSwapTransactionSupplement" substitutionGroup="product" type="DividendSwapTransactionSupplement"> <xsd:annotation> <xsd:documentation xml:lang="en"> Specifies the structure of the dividend swap transaction supplement. </xsd:documentation> </xsd:annotation> </xsd:element> </xsd:schema>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.